#include "B4RDefines.h"
#include "rST7735.h"

namespace B4R {
	void B4RST7735::InitializeSoftware(Byte CS, Byte DC, Byte SID, Byte SCLK, Byte RST, Byte Options) {
		st = new (be) Adafruit_ST7735(CS, DC, SID, SCLK, RST);
		init(Options);
	}
	void B4RST7735::InitializeHardware(Byte CS, Byte DC, Byte RST, Byte Options) {
		st = new (be) Adafruit_ST7735(CS, DC, RST);
		init(Options);
	}
	void B4RST7735::init(Byte Options) {
		// if (Options < 3)
			// st->initR(Options);
		// else
			// st->initB();
		st->initR(Options);
		gfx.gfx = st;
		GFX = &gfx;
	}
	void B4RST7735::FillScreen (UInt Color) {
		st->fillScreen(Color);
	}
	UInt B4RST7735::Color (Byte R, Byte G, Byte B) {
		return st->Color565(R, G, B);
	}
	void B4RST7735::SetRotation(Byte b) {
		st->setRotation(b);
	}
}